Update perl(:MODULE_COMPAT_*)


Security fix for CVE-2017-12837 CVE-2017-12883 (see http://search.cpan.org/dist/perl-5.24.3/pod/perldelta.pod)

How to install

sudo dnf upgrade --advisory=FEDORA-2017-89492f7161

This update has been submitted for testing by jplesnik.

2 years ago

This update has obsoleted perl-5.24.3-394.fc26, and has inherited its bugs and notes.

2 years ago
User Icon dhgutteridge commented & provided feedback 2 years ago
karma

No regressions noted.

Test Case Perl sanity

This update has been pushed to testing.

2 years ago
User Icon imabug provided feedback 2 years ago
karma
Test Case Perl sanity
User Icon hreindl commented & provided feedback 2 years ago
karma

works for me

User Icon williamjmorenor commented & provided feedback 2 years ago
karma

wfm

User Icon cserpentis commented & provided feedback 2 years ago
karma

works for me

User Icon nb commented & provided feedback 2 years ago
karma

works

User Icon gbcox commented & provided feedback 2 years ago
karma

Works for me

This update has been submitted for stable by jplesnik.

2 years ago

This update has been pushed to stable.

2 years ago

Please login to add feedback.

Metadata
Type
security
Karma
7
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
disabled
Stable by Time
disabled
Dates
submitted
2 years ago
in testing
2 years ago
in stable
2 years ago
BZ#1492091 CVE-2017-12837 perl: Heap buffer overflow in regular expression compiler
0
0
BZ#1492093 CVE-2017-12883 perl: Buffer over-read in regular expression parser
0
0
BZ#1492094 CVE-2017-12837 CVE-2017-12883 perl: various flaws [fedora-all]
0
0

Automated Test Results

Test Cases

0 2 Test Case Perl sanity